public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/versioneer/
Date: Sat, 31 Oct 2015 08:41:47 +0000 (UTC)	[thread overview]
Message-ID: <1446280896.68988813e2ce5488be5f6cccaa5c3d1867038edd.jlec@gentoo> (raw)

commit:     68988813e2ce5488be5f6cccaa5c3d1867038edd
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 30 14:14:32 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sat Oct 31 08:41:36 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=68988813

dev-python/versioneer: New package written by me

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/versioneer/Manifest               |  1 +
 dev-python/versioneer/metadata.xml           |  5 +++++
 dev-python/versioneer/versioneer-0.15.ebuild | 30 ++++++++++++++++++++++++++++
 3 files changed, 36 insertions(+)

diff --git a/dev-python/versioneer/Manifest b/dev-python/versioneer/Manifest
new file mode 100644
index 0000000..68bf08c
--- /dev/null
+++ b/dev-python/versioneer/Manifest
@@ -0,0 +1 @@
+DIST versioneer-0.15.tar.gz 35408 SHA256 1252b9b9420fc3bc01036640da7928fe5d04519f463c5e960eb774c3ea80cd09 SHA512 b9d2f282f5dc681b0dafb0ae34352eb995e16b3184047bc29301b52acde9fc29b49e129c49c767827808a1e524315ece8c8fe02edf18a9d9cd20c34f345336e5 WHIRLPOOL fcc80ffe73bb3733733785587e84b0ab7de39a0916e5070c6cbdf499115e6da51a078f9d8176f4a15305c1b623cd59469385eaeeba33bbcb0116203f7c1704c7

diff --git a/dev-python/versioneer/metadata.xml b/dev-python/versioneer/metadata.xml
new file mode 100644
index 0000000..ee7e8b2
--- /dev/null
+++ b/dev-python/versioneer/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <herd>python</herd>
+</pkgmetadata>

diff --git a/dev-python/versioneer/versioneer-0.15.ebuild b/dev-python/versioneer/versioneer-0.15.ebuild
new file mode 100644
index 0000000..ef9e1b3
--- /dev/null
+++ b/dev-python/versioneer/versioneer-0.15.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Easy VCS-based management of project version strings"
+HOMEPAGE="https://pypi.python.org/pypi/versioneer https://github.com/warner/python-versioneer"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="public-domain"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+	esetup.py make_versioneer
+	git config --global user.email "you@example.com"
+	git config --global user.name "Your Name"
+
+	${PYTHON} test/git/test_git.py -v || die
+}


             reply	other threads:[~2015-10-31  8:41 UTC|newest]

Thread overview: 60+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-31  8:41 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-18 11:11 [gentoo-commits] repo/gentoo:master commit in: dev-python/versioneer/ Michał Górny
2024-05-18 11:11 Michał Górny
2023-09-27  1:15 Sam James
2023-09-27  1:13 Sam James
2023-08-19 18:19 Michał Górny
2023-08-19 17:53 Arthur Zamarin
2023-07-10 23:00 Patrick McLean
2023-05-29  9:31 Michał Górny
2023-05-27 17:45 Sam James
2022-11-29  8:48 Michał Górny
2022-11-29  7:49 Arthur Zamarin
2022-10-28  7:09 Michał Górny
2022-10-17  5:28 Michał Górny
2022-10-10 20:18 Michał Górny
2022-10-10 18:34 Sam James
2022-09-20  5:37 Michał Górny
2022-09-19 20:19 Arthur Zamarin
2022-09-09  7:23 Arthur Zamarin
2022-09-03  9:12 Arthur Zamarin
2022-08-31 17:38 Michał Górny
2022-08-31  9:21 Michał Górny
2022-08-13  8:05 Michał Górny
2022-05-16 16:03 Andrew Ammerlaan
2022-04-09 18:39 Michał Górny
2022-04-09 16:58 Arthur Zamarin
2022-03-09 19:13 Arthur Zamarin
2021-11-21 20:14 Michał Górny
2021-11-21 19:36 Jakov Smolić
2021-10-14  7:51 Michał Górny
2021-09-06 23:56 Sam James
2021-09-06 23:54 Sam James
2021-08-17  1:42 Sam James
2021-08-16  6:19 Michał Górny
2021-08-16  5:13 Agostino Sarubbo
2021-07-15  9:22 Michał Górny
2021-05-07 11:58 Michał Górny
2020-12-17  8:48 Michał Górny
2020-12-17  4:56 Sam James
2020-11-11  8:49 Michał Górny
2020-09-18 15:53 Michał Górny
2020-06-05 16:03 Michał Górny
2020-05-02 13:30 Mart Raudsepp
2020-05-01 17:48 Agostino Sarubbo
2020-05-01 17:46 Agostino Sarubbo
2020-05-01 17:42 Agostino Sarubbo
2020-05-01 12:54 Michał Górny
2020-03-29 11:14 Michał Górny
2020-03-29 11:14 Michał Górny
2020-03-29 11:14 Michał Górny
2020-03-29 11:14 Michał Górny
2020-03-01  3:43 Andrey Grozin
2019-02-28 22:49 Patrice Clement
2018-03-19 23:05 Sergei Trofimovich
2018-01-09  0:10 Mikle Kolyada
2018-01-08 22:50 Thomas Deutschmann
2017-05-03  7:37 Michał Górny
2017-03-10 11:43 Zac Medico
2016-06-12 17:17 Patrick Lauer
2015-10-31  8:41 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1446280896.68988813e2ce5488be5f6cccaa5c3d1867038edd.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox